// ShieldBot Database Configuration
// DO NOT Edit Unless You Understand What You Are Doing!!!
// This file is ONLY loaded when the bot starts up!
//
// Important Information:
// If the Rank has the same attribute field more than once, it will use the first field.
// 
// Attributes available for Ranks are as follows:
// Rank= Name of the Rank
// Alias= An alias of the Rank's name, this can be used when adding users ie. .adduser [user] [alias or rank] e.g. .adduser JoeUser A
// Commands= Commands Available for users with that Rank
// AdditionalRanks= Ranks that are also available to this Rank
// GreetMessage= This is what the bot will say to users of this group when they enter the channel.
// Banned= Y or N    : This user will be banned if Y
// BanMessage=       : This is the ban message when Banned is set to Y
// Ignored= Y or N   : This user will be ignored if Y
// Friend= Y or N    : This user cannot be banned or ignored if Y
// CanAddRanks= List of ranks this rank is able to add, separated by comma (,) 
// CanDelRanks= List of ranks this rank is able to delete, separated by comma (,) 
// Description= Provides a description to users of what this rank can do
// 
// Notes regarding attributes:
// - Y(es) or N(o) options are N by default
// - The AdditionalRanks field ONLY accesses the COMMANDS field for each of these AdditionalRanks NOTHING else.
// - The ranks' description and additional ranks can be read by typing: .rankinfo [rank]
// - The ranks' commands can be read by typing: .rankcommands [rank]
// - The ranks list can be read by typing: .availableranks
//
// What happens when a rank is renamed or deleted:
// - The users associated with that rank are NOT removed!
// - Removed ranks will appear as Rank[X] when displaying users with this rank.
// - You can change the rank of users with the deleted rank by typing .changerank [oldrank] [newrank]
// - You can remove users with the rank by typing .clearrank [rank]
// 
// THE CONFIGURATION SETTINGS START BELOW HERE:

{
Rank=Master
Alias=T
Commands=quit,reconnect,tray,hide,unhide,setusername,setchannel,setpassword,setserver,settrigger,setcdkey,setcdkeyex,setproduct
AdditionalRanks=Administrator,Moderator,Limited,Friend
CanAddRanks=Clan,Administrator,Moderator,Limited,Friend
CanDelRanks=Clan,Administrator,Moderator,Limited,Friend
GreetMessage=
Color=Cyan
Friend=Y
Description=Users with this rank are able to quit or reconnect the bot.
}

{
Rank=Clan
Alias=C
Commands=invite,cpub,cpriv,removemember,setpeon,setgrunt,setshaman
CanAddRanks=Administrator,Moderator,Limited,Friend
CanDelRanks=Administrator,Moderator,Limited,Friend
GreetMessage=
Color=Purple
Friend=Y
AdditionalRanks=Administrator,Moderator,Limited,Friend
Description=Users with this rank are able to moderate the clan members.
}

{
Rank=Administrator
Alias=A
Commands=join,adduser,deluser,addphrase,giveops,designate,designated,resign,lockdown,banrotation,safelist,clanbanning,massloadbanning,spambanning,phrasebanning,pingbanning,statsbanning,idlekicking,floodbanning,outsiderbanning,clientbanning,whisperback
CanAddRanks=Moderator,Limited,Friend
CanDelRanks=Moderator,Limited,Friend
GreetMessage=
Color=Green
Friend=Y
AdditionalRanks=Moderator,Limited,Friend
Description=Users with this rank are able to add/remove users to/from the database.
}

{
Rank=Moderator
Alias=M
Friend=Y
Commands=ignore,qign,unignore,qunign,ipsweep,ipban,sweep,ban,qban,kick,qkick,unbanlast,unipbanlast,unignorelast,unban
AdditionalRanks=Limited,Friend
GreetMessage=
Description=Users with this rank are able to ban, unban, ignore, unignore and kick users; and designate or resign the bot.
}

{
Rank=Limited
Alias=L
Friend=Y
Commands=version,say,uptime,whois,finduser,help,addmail,removemail,ping,cq,hidenews,shownews,hidejoins,showjoins,lockwindow,unlockwindow,availableranks,rankinfo,rankcommands
AdditionalRanks=Friend
GreetMessage=
Description=Users with this rank are able to perform some general purpose commands.
}

{
Rank=Friend
Commands=whoami
Alias=F
Friend=Y
Ignored=N
Banned=N
Description=Users with this rank are friends and cannot be banned or ignored.
}

{
Rank=Hated
Alias=H
Banned=Y
Color=Orange
Friend=N
BanMessage=We Hate You!
Description=Users with this rank will be banned when they are seen.
}

{
Rank=Enemy
Alias=E
Banned=Y
Ignored=Y
Color=Red
Friend=N
BanMessage=We Despise You!
Description=Users with this rank will be ignored and banned when they are seen.
}